package com.qmth.exam.reserve.controller.admin;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.boot.core.collection.PageResult;
import com.qmth.exam.reserve.bean.task.ApplyTaskReq;
import com.qmth.exam.reserve.bean.task.ApplyTaskVo;
import com.qmth.exam.reserve.controller.BaseController;
import com.qmth.exam.reserve.service.ApplyTaskService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "预约任务相关接口")
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/admin/apply/task")
@Aac(strict = false, auth = false)
public class ApplyTaskController extends BaseController {

    @Autowired
    private ApplyTaskService applyTaskService;

    @ApiOperation(value = "预约任务查询")
    @PostMapping(value = "/page")
    public PageResult<ApplyTaskVo> page(ApplyTaskReq req) {
	return applyTaskService.page(req);
    }
}
